List agents
- Base URL
-
https://{kibana_url}
- GET /api/agent_builder/agents
- GET /s/{space_id}/api/agent_builder/agents
Refer to Spaces for more information.
List all available agents. Use this endpoint to retrieve complete agent information including their current configuration and assigned tools. To learn more about agents, refer to the agents documentation.
Required authorization
- Privileges agentBuilder:read
Query parameters
-
When true, hidden agents (such as built-in system agents) are included in the response.
Response
200
application/json
Indicates a successful response